# PulpcoreClient::RepairApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**post**](RepairApi.md#post) | **POST** /pulp/api/v3/repair/ | Repair Artifact Storage



## post

> AsyncOperationResponse post

Repair Artifact Storage

Trigger an asynchronous task that checks for missing or corrupted artifacts, and attempts to redownload them.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: basicAuth
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::RepairApi.new

begin
  #Repair Artifact Storage
  result = api_instance.post
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling RepairApi->post: #{e}"
end
```

### Parameters

This endpoint does not need any parameter.

### Return type

[**AsyncOperationResponse**](AsyncOperationResponse.md)

### Authorization

[basicAuth](../README.md#basicAuth)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json

